For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
      • GETReturns the content of the file with the specified id.
      • GETReturns the content of the file with the specified id as pdf.
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceFiles

Returns the content of the file with the specified id as pdf.

GET
https://api.awork.com/api/v1/files/:fileId/pdf
GET
/api/v1/files/:fileId/pdf
$curl https://api.awork.com/api/v1/files/fileId/pdf \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1"JVBERi0xLjQKJcfsj6IKNSAwIG9iago8PC9UeXBlL1BhZ2UvUGFyZW50IDMgMCBSL1Jlc291cmNlcyA8PC9Gb250IDw8L0YxIDYgMCBSPj4+Pi9NZWRpYUJveFswIDAgNjEyIDc5Ml0vQ29udGVudHMgNiAwIFI+PgplbmRvYmoKNiAwIG9iago8PC9MZW5ndGggMTIzPj5zdHJlYW0KSGVsbG8sIHRoaXMgaXMgYSBzaW1wbGUgUERGIGZpbGUgY29udGVudC4KZW5kc3RyZWFtCmVuZG9iagoyIDAgb2JqCjw8L1R5cGUvUGFnZXMvS2lkc1sgNSAwIFJdPj4KZW5kb2JqCjMgMCBvYmoKPDwvVHlwZS9QYWdlcy9Db3VudCAxL0tpZHMgWzIgMCBSXT4+CmVuZG9iagoxIDAgb2JqCjw8L1R5cGUvQ2F0YWxvZy9QYWdlcyAzIDAgUj4+CmVuZG9iagp4cmVmCjAgNwowMDAwMDAwMDAwIDY1NTM1IGYgCjAwMDAwMDAxMTAgMDAwMDAgbiAKMDAwMDAwMDA3MCAwMDAwMCBuIAowMDAwMDAwMTQwIDAwMDAwIG4gCjAwMDAwMDAyMDAgMDAwMDAgbiAKMDAwMDAwMDI2MCAwMDAwMCBuIAp0cmFpbGVyCjw8L1NpemUgNy9Sb290IDEgMCBSL0luZm8gNCAwIFIvSUQgWzxkYjYxYjYxYjYxYjYxYjYxYjYxYjYxYjYxYjYxYjYxYjYxPj4+PgpzdGFydHhyZWYKMjg3CiUlRU9G"
Returns the content of the latest file version as pdf. All kinds of MS Office document types are supported. To get the content you must have the 'read' permissions on the entity the file is related to. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Generates a URL to upload a file to.

Next
Built with

Returns the content of the latest file version as pdf. All kinds of MS Office document types are supported. To get the content you must have the ‘read’ permissions on the entity the file is related to.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

fileIdstringRequiredformat: "uuid"
The id of the file.

Query parameters

inlinebooleanOptionalDefaults to false

If inline is true, content-disposition header is inline, else it is attachment.

Response

OK